%define	name		mysql++
%define version 1.7.32
%define release 1mdk

%define major		4
%define libname_orig	%mklibname sqlplus
%define libname		%{libname_orig}%{major}

%define	_includedir	%{_prefix}/include/sqlplus

Summary:	C++ wrapper for MySQL's C API
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	LGPL
Group:		Development/Databases
URL:		http://tangentsoft.net/mysql++/
Source0:	http://tangentsoft.net/mysql++/releases/%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	MySQL-devel
Conflicts:	%(echo %{libname_orig} | %__sed 's/%{major}/1/')
Conflicts:	%(echo %{libname_orig} | %__sed 's/%{major}/2/')
Conflicts:	%(echo %{libname_orig} | %__sed 's/%{major}/3/')

%description
MySQL++ is a C++ wrapper for MySQL's C API. It is built around STL 
principles, to make dealing with the database as easy as dealing with an 
STL container.

%package	-n %{libname}
Summary:	C++ wrapper for MySQL's C API
Group:		System/Libraries
Provides:	%{libname_orig}

%description	-n %{libname}
MySQL++ is a C++ wrapper for MySQL's C API. It is built around STL 
principles, to make dealing with the database as easy as dealing with an 
STL container.

%package	-n %{libname}-devel
Summary:	Development files for MySQL++
Group:		Development/Databases
Provides:	%{libname_orig}-devel
Requires:	%{libname} = %{version}

%description	-n %{libname}-devel
This package contains static libraries and headers of MySQL++ which are
useful when you develop or compile any applications/libraries using
MySQL C++ interface.

%prep
%setup -q
find . -type d -name "CVS" | xargs rm -rf

%build
%configure
%make

%install
%__rm -rf %{buildroot}
%makeinstall

%clean
%__rm -rf %{buildroot}

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig

%files -n %{libname}
%defattr(-,root,root)
%doc ChangeLog LGPL README* Wishlist doc
%{_libdir}/lib*.so.*

%files -n %{libname}-devel
%defattr(0644,root,root,0755)
%doc examples/{README,*.{cpp,h},Makefile.simple}
%defattr(-,root,root)
%{_includedir}/*
%{_libdir}/lib*.so
%{_libdir}/lib*.a
%{_libdir}/lib*.la

%changelog
* Tue Mar 15 2005 David Walluck <walluck@mandrake.org> 1.7.32-1mdk
- 1.7.32

* Thu Feb 17 2005 David Walluck <walluck@mandrake.org> 1.7.28-1mdk
- 1.7.28

* Sat Jan 22 2005 David Walluck <walluck@mandrake.org> 1.7.27-2mdk
- fix lib major version
- fix requires

* Sat Jan 22 2005 David Walluck <walluck@mandrake.org> 1.7.27-1mdk
- 1.7.27

* Wed Oct 27 2004 David Walluck <walluck@mandrake.org> 1.7.19-1mdk
- 1.7.19

* Mon Feb 16 2004 Abel Cheung <deaddog@deaddog.org> 1.7.9-1mdk
- First mandrake package provided by Robert Oldham
  <robertoldham@rhinomaeo.com>:
  o Created a patch to move from gcc 3.2.2 to 3.3.1.  There is a patch
  o on the mysql website for gcc 3.3 but it didn't work for me, and with
  o review, it appeared to have problems.  So, I created a new, and
  o greatly simplified patch that seemed to take care of the compilation
  o issues.
- Adopted with MDK conventions
